Bug 446266 - Can't compile Blender anymore after the latest scons update
Can't compile Blender anymore after the latest scons update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: scons (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 16:23 EDT by Benjamin Thery
Modified: 2009-01-09 02:48 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:48:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin Thery 2008-05-13 16:23:23 EDT
Description of problem:

Can't compile Blender anymore after the latest scons update (0.98.3). 
Then, I downgraded scons to 0.97-2-fc8 and everything went back in order.

See Blender related bug:
http://projects.blender.org/tracker/index.php?func=detail&aid=11156&group_id=9&atid=125

Version-Release number of selected component (if applicable):

0.98.3

How reproducible:

Always

Steps to Reproduce:
1. Upgrade to latest scons available in Fedora yum repository
2. Enter blender directory
3. Type scons
  
Actual results:

Only a very small subset of the source tree is built. 
It seems only the C++ files are built, not the C one.
You never get the 'blender' binary built

Expected results:

scons compiles the whole source tree as it did before with version 0.97

Additional info:

See
http://projects.blender.org/tracker/index.php?func=detail&aid=11156&group_id=9&atid=125
Comment 1 Gérard Milmeister 2008-05-13 18:04:22 EDT
It seemed to work with 0.98 apart from a small patch. If you can't get it to
work, the workaround is to bundle scons with blender (scons-local).
Comment 2 Benjamin Thery 2008-05-14 03:48:16 EDT
I'm not sure to understand what you suggest.
Do you mean that the problem doesn't come from scons but from blender?

Isn't scons 0.98 backward compatible with scons 0.97?

BTW, 0.98.3 seems to be able to compile Blender on a Ubuntu distro (see blender
bug report).

Does the Fedora package contain any patch in addition to the official scons release?
Comment 3 Gérard Milmeister 2008-05-14 12:11:43 EDT
Try to compile blender with upstream scons.
Comment 4 Gérard Milmeister 2008-05-14 12:11:58 EDT
Try to compile blender with upstream scons.
Comment 5 Benjamin Thery 2008-05-15 08:05:12 EDT
OK.
I tried to compile with scons-local-0.98.3 downloaded directly from
www.scons.org, and it also fails :-(

Looks like the issue doesn't come from the Fedora's scons package.

Comment 6 amorilia 2008-05-31 16:59:58 EDT
I had the same issue on Fedora 9. However, scons was updated again, very
recently, and after installing this update (0.98.4) from www.scons.org (the
tar.gz, installed with "python setup.py install"), blender turns out to build
again without problems (svn revision 15073, command line "scons
WITH_BF_OPENAL=False") on my machine.

So it seems that the bug was fixed upstream?
Comment 7 Gérard Milmeister 2008-05-31 18:32:50 EDT
0.98.4 is now in the updates queue
Comment 8 Benjamin Thery 2008-06-02 04:37:17 EDT
I confirm it fixes the problem I saw on Fedora 8.
I downloaded scons-local-0.98.4 and compiled Blender without any problem this
time. Great!
Comment 9 Bug Zapper 2008-11-26 05:41:55 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 02:48:40 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.